package com.atmob.map_amap_android.bean;

import androidx.annotation.NonNull;

import com.google.gson.annotations.SerializedName;

public class FTraceLocation {


    @SerializedName("latitude")
    private double latitude;

    @SerializedName("longitude")
    private double longitude;

    @SerializedName("time")
    private long time;

    @SerializedName("bearing")
    private float bearing;

    @SerializedName("speed")
    private float speed;

    public float getBearing() {
        return bearing;
    }

    public void setBearing(float bearing) {
        this.bearing = bearing;
    }

    public double getLatitude() {
        return latitude;
    }

    public void setLatitude(double latitude) {
        this.latitude = latitude;
    }

    public double getLongitude() {
        return longitude;
    }

    public void setLongitude(double longitude) {
        this.longitude = longitude;
    }

    public float getSpeed() {
        return speed;
    }

    public void setSpeed(float speed) {
        this.speed = speed;
    }

    public long getTime() {
        return time;
    }

    public void setTime(long time) {
        this.time = time;
    }

    @NonNull
    @Override
    public String toString() {
        return "FTraceLocation{" +
                "latitude=" + latitude +
                ", longitude=" + longitude +
                ", time=" + time +
                ", bearing=" + bearing +
                ", speed=" + speed +
                '}';
    }
}
